﻿using AirplaneWithRadar.PaintObjects;
using AirplaneWithRadar.MovementStrategy;

namespace AirplaneWithRadar.Generics
{
    internal class AirplanesGenericStorage
    {
        readonly Dictionary<string, AirplanesGenericCollection<PaintAirplane, PaintObjectAirplane>> airplaneStorages;
        public List<string> Keys => airplaneStorages.Keys.ToList();
        private readonly int pictWidth;
        private readonly int pictHeight;
        public AirplanesGenericStorage(int pictureWidth, int pictureHeight)
        {
            airplaneStorages = new Dictionary<string, AirplanesGenericCollection<PaintAirplane, PaintObjectAirplane>>();
            pictWidth = pictureWidth;
            pictHeight = pictureHeight;
        }

        public void AddSet(string name)
        {
            if (airplaneStorages.ContainsKey(name)) { return; }
            airplaneStorages.Add(name, new AirplanesGenericCollection<PaintAirplane, PaintObjectAirplane>(pictWidth, pictHeight));
        }
        public void DelSet(string name)
        {
            if (airplaneStorages.ContainsKey(name))
                airplaneStorages.Remove(name);
        }
        public AirplanesGenericCollection<PaintAirplane, PaintObjectAirplane>? this[string ind]
        {
            get
            {
                if (airplaneStorages.ContainsKey(ind)) return airplaneStorages[ind];
                return null;
            }
        }
    }

}
